<template>
  <div v-if="open" class="wrapper" :class="['themeClasses', fixed && 'fixed']">
    <div class="container">
      <div class="box">
        <button v-if="!fixed" class="close" @click="close()">close</button>
        <span class="tag"><slot name="tag"/></span>
        <div class="content"><slot name="content" /></div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  props: {
    fixed: {
      type: Boolean
    }
  },

  data() {
    return {
      open: true
    };
  },

  computed: {
    ...mapGetters("theme", ["themeClasses"])
  },

  methods: {
    close() {
      this.open = false;
    }
  }
};
</script>

<style lang="scss" scoped>
.wrapper {
  padding: 30px 0 20px;
  &.fixed {
    padding: 30px 0 0px;
  }

  @include media-breakpoint-down(md) {
    padding: 0;
    border-bottom: 1px $color-sky-grey solid;
  }
}

.container {
  position: relative;

  @include media-breakpoint-down(md) {
    padding: 0;
  }
}

.box {
  padding: 20px;
  background: $color-white;
  position: relative;
}

.tag {
  display: inline-block;
  background: $color-secondary-black;
  color: $color-white;
  border-radius: 4px;
  padding: 0 20px;
  line-height: 24px;
  font-size: 12px;
}

.content {
  color: $color-secondary-black;
  margin-top: 6px;
  padding-right: 24px;
}

.close {
  position: absolute;
  right: 20px;
  top: 20px;
  cursor: pointer;
  background: none;
  border: none;
  width: 14px;
  height: 14px;
  overflow: hidden;
  text-indent: -9999px;
  opacity: 1;

  &::after,
  &::before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    height: 1.5px;
    background: $color-primary-black;
    width: 14px;
    margin-left: -7px;
  }

  &::before {
    transform: rotateZ(45deg);
  }

  &::after {
    transform: rotateZ(-45deg);
  }
}

.theme-vip-member {
  .box {
    background: transparent;
  }
}
</style>
